nizhal1.JPG='Nizhal' , a voluntary organisation to promote tree protection in urban areas conducted a Tree walk at My Ladey's Garden, led By Arun of KFI\

Bookrelease.jpg=Release of book on Historic Residences of Chennai by Sriram V.
fortwalk1.jpg=The walk began at the Fort Museum.
Theoder.jpg=Talk on 'Stage, Screen and Freedom Struggle in Madras' by Theodore Bhaskaran at Roja Muthiah Research Library, Taramani
poetry1.jpg=A section of listeners at the Poetry Reading session
Theoder2.jpg=Exhibition on Chennai & Independent movement at Roja Muthiah Research Library, Taramani
bookrelease1.jpg=Audience at the book release function hosted by Madras Book Club at Taj Connemara.
photoex.jpg=Chandrachoodan Gopalakrishnan at the Photo exhibition by the Chennai Photowalkers at Vanilla Children Place.
talk.jpg=An audio visual presentation – Early Music Recordings of Madras by by V.A.K. Ranga Rao and Sriram V.
Saidapet Walk.JPG=Chennai Photowalkers on a photowalk organised by Chandrachoodan. The walk started from Karaneeswarar temple in Saidapet.
talk1.jpg=Audience at The Park. The talk on Early Music Recordings of Madras was part of Chennai Heritage-Madras Musings Lecture Series.
fortwalk.jpg=Heritage Walk inside the Fort St. George led by Dr. Suresh, Archaeologist.
